Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::color_interpolator_node Class Reference

Inheritance diagram for openvrml::vrml97_node::color_interpolator_node:

[legend]
List of all members.

## Detailed Description

ColorInterpolator node instances.

## Public Member Functions

| color_interpolator_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~color_interpolator_node () throw ()
| Destroy.

## Private Attributes

set_fraction_listener | set_fraction_listener_
| set_fraction event handler.
exposedfield< mffloat > | key_
| key exposedField.
exposedfield< mfcolor > | key_value_
| keyValue exposedField.
sfcolor | value_
| Current sfcolor value.
sfcolor_emitter | value_changed_
| value_changed eventOut.

## Friends

class | color_interpolator_class
| Class object for ColorInterpolator nodes.

## Classes

class | set_fraction_listener
| set_fraction event handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::color_interpolator_node::color_interpolator_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::color_interpolator_node::~color_interpolator_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Friends And Related Function Documentation

openvrml::vrml97_node::color_interpolator_node::color_interpolator_class`[friend]`

| Class object for ColorInterpolator nodes.

## Member Data Documentation

color_interpolator_node::set_fraction_listener openvrml::vrml97_node::color_interpolator_node::set_fraction_listener_ `[private]`

| set_fraction event handler.

exposedfield< mffloat > openvrml::vrml97_node::color_interpolator_node::key_ `[private]`

| key exposedField.

exposedfield< mfcolor > openvrml::vrml97_node::color_interpolator_node::key_value_ `[private]`

| keyValue exposedField.

sfcolor openvrml::vrml97_node::color_interpolator_node::value_ `[private]`

| Current sfcolor value.

sfcolor_emitter openvrml::vrml97_node::color_interpolator_node::value_changed_ `[private]`

| value_changed eventOut.